Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-16032

Update docs to reflect new numpy 1.14 baseline

    Details

    • Team:
      SQuaRE

      Description

      Per this slack discussion, we have apparently updated our minimum numpy version without telling anyone. Jim Bosch's changes in DM-15500 break test_leastSquares.py on numpy=1.13.

      If we're now using numpy=1.14 on Jenkins, please announce this and update the pipeline docs to state the minimum version, and also update the numpy meta (eups) package (which is currently 1.13.1+2).

        Attachments

          Issue Links

            Activity

            Hide
            tjenness Tim Jenness added a comment -

            Where should the docs be changed? I only see a numpy et al mention of versions in pipelines.lsst.io release notes.

            Show
            tjenness Tim Jenness added a comment - Where should the docs be changed? I only see a numpy et al mention of versions in pipelines.lsst.io release notes.
            Hide
            Parejkoj John Parejko added a comment -

            Certainly pipelines.lsst.io (there should be a "minimum software versions" page there somewhere). Kian-Tat Lim or somebody: where is this typically documented.

            Show
            Parejkoj John Parejko added a comment - Certainly pipelines.lsst.io (there should be a "minimum software versions" page there somewhere). Kian-Tat Lim or somebody: where is this typically documented.
            Hide
            swinbank John Swinbank added a comment - - edited

            As of now, the only documentation regarding the versions of NumPy &c on pipelines.lsst.io is the statement that they should match whatever is defined in the Conda environment: https://pipelines.lsst.io/install/prereqs/index.html#python-dependencies.

            Show
            swinbank John Swinbank added a comment - - edited As of now, the only documentation regarding the versions of NumPy &c on pipelines.lsst.io is the statement that they should match whatever is defined in the Conda environment: https://pipelines.lsst.io/install/prereqs/index.html#python-dependencies .
            Hide
            jsick Jonathan Sick added a comment -

            Anyone mind if I take this ticket off Kian-Tat Lim?

            I need to better surface the prerequisites page to readers (it's necessarily buried because of some wrong assumptions I made) and put in a much needed automation to connect the Python dependency documentation with the Conda package list. I'd like to have this in place before the 17.0 release.

            As well, surfacing dependency changes in the release notes is also something I want to accomplish. I think that all these together, should help out a lot with this.

            Show
            jsick Jonathan Sick added a comment - Anyone mind if I take this ticket off Kian-Tat Lim ? I need to better surface the prerequisites page to readers (it's necessarily buried because of some wrong assumptions I made) and put in a much needed automation to connect the Python dependency documentation with the Conda package list. I'd like to have this in place before the 17.0 release. As well, surfacing dependency changes in the release notes is also something I want to accomplish. I think that all these together, should help out a lot with this.
            Hide
            ktl Kian-Tat Lim added a comment -

            > Anyone mind if I take this ticket off Kian-Tat Lim?

            No problem

            Show
            ktl Kian-Tat Lim added a comment - > Anyone mind if I take this ticket off Kian-Tat Lim? No problem

              People

              • Assignee:
                jsick Jonathan Sick
                Reporter:
                Parejkoj John Parejko
                Watchers:
                Jim Bosch, John Parejko, John Swinbank, Jonathan Sick, Kian-Tat Lim, Tim Jenness
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:

                  Summary Panel